/*
 * Copyright 2008 Sun Microsystems, Inc.  All Rights Reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Sun designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Sun in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
 * CA 95054 USA or visit www.sun.com if you need additional information or
 * have any questions.
 */

package com.sun.tools.javac.antlr;

/**
 *
 * The fields in this class match those from the Java.tokens.
 *
 */
public class Tags {
    public static final int LTLT = 200;
    public static final int LTEQ = 207;
    public static final int LTLTEQ = 201;
    public static final int GTGT = 203;
    public static final int GTGTEQ = 204;
    public static final int GTGTGT = 205;
    public static final int GTGTGTEQ = 206;
    /*** starting literal types, 55-60 **/
    public static final int INTLITERAL = 55;
    public static final int LONGLITERAL = 56;
    public static final int FLOATLITERAL = 57;
    public static final int DOUBLELITERAL = 58;
    public static final int CHARLITERAL = 59;
    public static final int STRINGLITERAL = 60;
    /*** ending literal types ***/
    public static final int PACKAGE = 36;
    public static final int LT = 76;
    public static final int STAR = 91;
    public static final int WHILE = 54;
    public static final int CONST = 14;
    public static final int CASE = 10;
    public static final int NEW = 35;
    public static final int CHAR = 12;
    public static final int DO = 17;
    public static final int EOF = -1;
    public static final int BREAK = 8;
    public static final int LBRACKET = 68;
    public static final int FINAL = 22;
    public static final int RPAREN = 65;
    public static final int IMPORT = 29;
    public static final int SUBSUB = 88;
    public static final int STAREQ = 102;
    public static final int CARET = 95;
    public static final int THIS = 47;
    public static final int RETURN = 40;
    public static final int DOUBLE = 18;
    public static final int MONKEYS_AT = 111;
    public static final int BARBAR = 86;
    public static final int VOID = 52;
    public static final int SUPER = 44;
    public static final int EQ = 74;
    public static final int GOTO = 26;
    public static final int AMPAMP = 85;
    public static final int QUES = 79;
    public static final int EQEQ = 81;
    public static final int RBRACE = 67;
    public static final int PRIVATE = 37;
    public static final int STATIC = 42;
    public static final int SWITCH = 45;
    public static final int NULL = 63;
    public static final int ELSE = 19;
    public static final int STRICTFP = 43;
    public static final int ELLIPSIS = 73;
    public static final int NATIVE = 34;
    public static final int THROWS = 49;
    public static final int INT = 31;
    public static final int SLASHEQ = 103;
    public static final int ASSERT = 6;
    public static final int TRY = 51;
    public static final int GT = 75;
    public static final int CATCH = 11;
    public static final int FALSE = 62;
    public static final int THROW = 48;
    public static final int PROTECTED = 38;
    public static final int CLASS = 13;
    public static final int BAREQ = 105;
    public static final int AMP = 93;
    public static final int PLUSPLUS = 87;
    public static final int LBRACE = 66;
    public static final int SUBEQ = 101;
    public static final int FOR = 25;
    public static final int SUB = 90;
    public static final int FLOAT = 24;
    public static final int ABSTRACT = 5;
    public static final int PLUSEQ = 100;
    public static final int LPAREN = 64;
    public static final int IF = 27;
    public static final int SLASH = 92;
    public static final int BOOLEAN = 7;
    public static final int SYNCHRONIZED = 46;
    public static final int IMPLEMENTS = 28;
    public static final int CONTINUE = 15;
    public static final int COMMA = 71;
    public static final int AMPEQ = 104;
    public static final int IDENTIFIER = 4;
    public static final int TRANSIENT = 50;
    public static final int TILDE = 78;
    public static final int BANGEQ = 84;
    public static final int PLUS = 89;
    public static final int RBRACKET = 69;
    public static final int DOT = 72;
    public static final int BYTE = 9;
    public static final int PERCENT = 96;
    public static final int VOLATILE = 53;
    public static final int DEFAULT = 16;
    public static final int SHORT = 41;
    public static final int BANG = 77;
    public static final int INSTANCEOF = 30;
    public static final int GTEQ = 202;
    public static final int SEMI = 70;
    public static final int TRUE = 61;
    public static final int COLON = 80;
    public static final int ENUM = 20;
    public static final int FINALLY = 23;
    public static final int PERCENTEQ = 107;
    public static final int CARETEQ = 106;
    public static final int INTERFACE = 32;
    public static final int LONG = 33;
    public static final int EXTENDS = 21;
    public static final int PUBLIC = 39;
    public static final int BAR = 94;
}
